.TH "mtlb_fliplr" 2 " June 6th 1997" "Fractales Group" "Scilab Function"
.so ../sci.an
.SH NAME
mtlb_fliplr - Flip matrix in left/right direction
.sp
Author: Paulo Goncalves
.sp
Flip matrix in left/right direction.  For matrices, mtlb_fliplr(x) returns
x with row preserved and columns flipped in the left/right direction.
.sp
.sp
.SH Usage
.sp
.ft CR
.nf
y = mtlb_fliplr(x) ;
.fi 
.ec
.ft P
.sp
.SH Input parameters


.RS

.TP
o 
\fBx\fP : Real or complex valued matrix \f(CR[\fPrx,cx\f(CR]\fP
.RE

.SH Output parameters


.RS

.TP
o 
\fBy\fP : Real or complex valued matrix \f(CR[\fPrx,cx\f(CR]\fP
.RE

.SH See also:
flipud, fftshift
.SH Example:
\fI Matrix synthesis: \fP 
.sp
.ft CR
.nf
x = [1 2 3 ; 4 5 6] 
.fi 
.ec
.ft P
.sp
\fI Left - Right flip\fP 
.sp
.ft CR
.nf
FlipX = mtlb_fliplr(x) 
.fi 
.ec
.ft P
.sp
