.TH xarcs 2 "April 1993" "Scilab Group" "Scilab Function"
.so ../sci.an
.SH NAME
xarcs - drawing a set of ellipsis
.SH CALLING SEQUENCE
.nf
[]=xarcs(arcs,[style])
.fi
.SH PARAMETERS
.TP 
arcs
: matrix of size (6,n) (ellipsis description)
.TP 
style
: vector of size (1,n) giving the style to use ( set \fVxset("dashes",...)\fR.
.SH DESCRIPTION
draws a set of ellipsis described by \fVarcs\fR. 
\fVarcs= [ x,y,w,h,a1,a2 ; x,y,w,h,a1,a2 ;.....] '\fR : each ellipsis is defined by the 
6 parameters \fV(x,y,w,h,a1,a2)\fR (see \fVxarc\fR)
.LP
\fVstyle(i)\fR gives the dash style which must be used to draw the ellipsis number \fVi\fR.
.SH EXAMPLE 
.nf 
plot2d(0,0,-1,"031",' ',[-1,-1,1,1])
set_arcs=[ -1.0 0.0 0.5 // upper left x
	    1.0 0.0 0.5 // upper left y
	    0.5 0.5 0.5 // widths 
	    0.5 0.5 0.5 // height 
	    0.0 0.0 0.0 // angle 1
	    360*64 360*64 360*64] // angle 2
xarcs(set_arcs,[1,2,3])
.fi
.SH AUTHOR
J.Ph.C.


