.TH load_graph 1 "September 1995" "Scilab Group" "Scilab function"
.so ../sci.an
.SH NAME
load_graph - loads a graph
.SH CALLING SEQUENCE
.nf
g = load_graph(name)
.fi
.SH PARAMETERS
.TP 5
name
: string, the path of the graph to load
.TP 2
g
: graph list
.SH DESCRIPTION
\fVname\fR is the name of a graph file which contains the ASCII 
description of a graph. Such a file must have the \fV"graph"\fR extension.
\fVname\fR can be the name or the pathname of the file; if the 
\fV"graph"\fR extension is missing in \fVname\fR, it is assumed.
\fVload_graph\fR returns the corresponding graph list.
.SH EXAMPLE
.nf
g=load_graph(SCI+'/demos/metanet/mesh100.graph');
show_graph(g);
g=load_graph(SCI+'/demos/metanet/colored');
show_graph(g,'new');
.fi
.SH SEE ALSO
save_graph
