.TH "findobj" 2 " 04 June 1998" "Fractales Group" "Scilab Function"
.so ../sci.an
.SH NAME
findobj - find an object with specified property
.sp
Author: Bertrand Guiheneuf
.sp
Allows to find a graphic tksci object testing
the value of one of its properties. 
.sp
.sp
.SH Usage
h=findobj(prop,value)
.SH Input parameter
.nr ll +1
.nr t\n(ll 0
.if \n(ll>1 .RS
.nr bi 1
.TP
o 
\fBprop\fP : string character
Name of the property to test.
.nr bi 1
.TP
o 
\fBvalue\fP : string character
specify the value the tested propoerty should be equal to.
.if \n(ll>1 .RE
.nr ll -1
.SH Output parameters
handle of the found object.
.SH Description
This routine is currentlyt used to find objects knowing their 'tag' property. 
It returns handle of the first found object which property 'prop' is equal to 'value'. If such an object does not exist, the function returns a void matrix.
.SH EXAMPLE
.nf
h=figure();
// creates  figure number 1.
uicontrol( h, 'style','text', ...
 'string','This is a figure', ...
 'position',[50 70 100 100], ...
 'fontsize',15, ...
 'tag','Alabel');
// put a  text in figure 1
lab=findobj('tag','Alabel');
// find the object which 'tag' value is 'Alabel'
disp('the handle of the label is '+string(lab));
close();
.fi 
.ec
.ft P
.sp
.SH See also
uicontrol, uimenu, set, get 
